﻿/*
 * (c) Copyright Ascensio System SIA 2010-2017
 *
 * This program is a free software product. You can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License (AGPL)
 * version 3 as published by the Free Software Foundation. In accordance with
 * Section 7(a) of the GNU AGPL its Section 15 shall be amended to the effect
 * that Ascensio System SIA expressly excludes the warranty of non-infringement
 * of any third-party rights.
 *
 * This program is distributed WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR  PURPOSE. For
 * details, see the GNU AGPL at: http://www.gnu.org/licenses/agpl-3.0.html
 *
 * You can contact Ascensio System SIA at Lubanas st. 125a-25, Riga, Latvia,
 * EU, LV-1021.
 *
 * The  interactive user interfaces in modified source and object code versions
 * of the Program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU AGPL version 3.
 *
 * Pursuant to Section 7(b) of the License you must retain the original Product
 * logo when distributing the program. Pursuant to Section 7(e) we decline to
 * grant you any rights under trademark law for use of our trademarks.
 *
 * All the Product's GUI elements, including illustrations and icon sets, as
 * well as technical writing content are licensed under the terms of the
 * Creative Commons Attribution-ShareAlike 4.0 International. See the License
 * terms at http://creativecommons.org/licenses/by-sa/4.0/legalcode
 *
 */
#pragma once
#include "../PPTXShape.h"

namespace OOXMLShapes
{
	class CFlowChartMultidocument : public CPPTXShape
	{
		public:
			CFlowChartMultidocument()
			{
				LoadFromXML(
					_T("<ooxml-shape>")
					_T("<gdLst xmlns=\"http://schemas.openxmlformats.org/drawingml/2006/main\">")
					  _T("<gd name=\"y2\" fmla=\"*/ h 3675 21600\" />")
					  _T("<gd name=\"y8\" fmla=\"*/ h 20782 21600\" />")
					  _T("<gd name=\"x3\" fmla=\"*/ w 9298 21600\" />")
					  _T("<gd name=\"x4\" fmla=\"*/ w 12286 21600\" />")
					  _T("<gd name=\"x5\" fmla=\"*/ w 18595 21600\" />")
					_T("</gdLst>")
					_T("<cxnLst xmlns=\"http://schemas.openxmlformats.org/drawingml/2006/main\">")
					  _T("<cxn ang=\"3cd4\">")
						_T("<pos x=\"x4\" y=\"t\" />")
					  _T("</cxn>")
					  _T("<cxn ang=\"cd2\">")
						_T("<pos x=\"l\" y=\"vc\" />")
					  _T("</cxn>")
					  _T("<cxn ang=\"cd4\">")
						_T("<pos x=\"x3\" y=\"y8\" />")
					  _T("</cxn>")
					  _T("<cxn ang=\"0\">")
						_T("<pos x=\"r\" y=\"vc\" />")
					  _T("</cxn>")
					_T("</cxnLst>")
					_T("<rect l=\"l\" t=\"y2\" r=\"x5\" b=\"y8\" xmlns=\"http://schemas.openxmlformats.org/drawingml/2006/main\" />")
					_T("<pathLst xmlns=\"http://schemas.openxmlformats.org/drawingml/2006/main\">")
					  _T("<path stroke=\"false\" extrusionOk=\"false\" w=\"21600\" h=\"21600\">")
						_T("<moveTo>")
						  _T("<pt x=\"0\" y=\"20782\" />")
						_T("</moveTo>")
						_T("<cubicBezTo>")
						  _T("<pt x=\"9298\" y=\"23542\" />")
						  _T("<pt x=\"9298\" y=\"18022\" />")
						  _T("<pt x=\"18595\" y=\"18022\" />")
						_T("</cubicBezTo>")
						_T("<lnTo>")
						  _T("<pt x=\"18595\" y=\"3675\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"0\" y=\"3675\" />")
						_T("</lnTo>")
						_T("<close />")
						_T("<moveTo>")
						  _T("<pt x=\"1532\" y=\"3675\" />")
						_T("</moveTo>")
						_T("<lnTo>")
						  _T("<pt x=\"1532\" y=\"1815\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"20000\" y=\"1815\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"20000\" y=\"16252\" />")
						_T("</lnTo>")
						_T("<cubicBezTo>")
						  _T("<pt x=\"19298\" y=\"16252\" />")
						  _T("<pt x=\"18595\" y=\"16352\" />")
						  _T("<pt x=\"18595\" y=\"16352\" />")
						_T("</cubicBezTo>")
						_T("<lnTo>")
						  _T("<pt x=\"18595\" y=\"3675\" />")
						_T("</lnTo>")
						_T("<close />")
						_T("<moveTo>")
						  _T("<pt x=\"2972\" y=\"1815\" />")
						_T("</moveTo>")
						_T("<lnTo>")
						  _T("<pt x=\"2972\" y=\"0\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"21600\" y=\"0\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"21600\" y=\"14392\" />")
						_T("</lnTo>")
						_T("<cubicBezTo>")
						  _T("<pt x=\"20800\" y=\"14392\" />")
						  _T("<pt x=\"20000\" y=\"14467\" />")
						  _T("<pt x=\"20000\" y=\"14467\" />")
						_T("</cubicBezTo>")
						_T("<lnTo>")
						  _T("<pt x=\"20000\" y=\"1815\" />")
						_T("</lnTo>")
						_T("<close />")
					  _T("</path>")
					  _T("<path fill=\"none\" extrusionOk=\"false\" w=\"21600\" h=\"21600\">")
						_T("<moveTo>")
						  _T("<pt x=\"0\" y=\"3675\" />")
						_T("</moveTo>")
						_T("<lnTo>")
						  _T("<pt x=\"18595\" y=\"3675\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"18595\" y=\"18022\" />")
						_T("</lnTo>")
						_T("<cubicBezTo>")
						  _T("<pt x=\"9298\" y=\"18022\" />")
						  _T("<pt x=\"9298\" y=\"23542\" />")
						  _T("<pt x=\"0\" y=\"20782\" />")
						_T("</cubicBezTo>")
						_T("<close />")
						_T("<moveTo>")
						  _T("<pt x=\"1532\" y=\"3675\" />")
						_T("</moveTo>")
						_T("<lnTo>")
						  _T("<pt x=\"1532\" y=\"1815\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"20000\" y=\"1815\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"20000\" y=\"16252\" />")
						_T("</lnTo>")
						_T("<cubicBezTo>")
						  _T("<pt x=\"19298\" y=\"16252\" />")
						  _T("<pt x=\"18595\" y=\"16352\" />")
						  _T("<pt x=\"18595\" y=\"16352\" />")
						_T("</cubicBezTo>")
						_T("<moveTo>")
						  _T("<pt x=\"2972\" y=\"1815\" />")
						_T("</moveTo>")
						_T("<lnTo>")
						  _T("<pt x=\"2972\" y=\"0\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"21600\" y=\"0\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"21600\" y=\"14392\" />")
						_T("</lnTo>")
						_T("<cubicBezTo>")
						  _T("<pt x=\"20800\" y=\"14392\" />")
						  _T("<pt x=\"20000\" y=\"14467\" />")
						  _T("<pt x=\"20000\" y=\"14467\" />")
						_T("</cubicBezTo>")
					  _T("</path>")
					  _T("<path stroke=\"false\" fill=\"none\" w=\"21600\" h=\"21600\">")
						_T("<moveTo>")
						  _T("<pt x=\"0\" y=\"20782\" />")
						_T("</moveTo>")
						_T("<cubicBezTo>")
						  _T("<pt x=\"9298\" y=\"23542\" />")
						  _T("<pt x=\"9298\" y=\"18022\" />")
						  _T("<pt x=\"18595\" y=\"18022\" />")
						_T("</cubicBezTo>")
						_T("<lnTo>")
						  _T("<pt x=\"18595\" y=\"16352\" />")
						_T("</lnTo>")
						_T("<cubicBezTo>")
						  _T("<pt x=\"18595\" y=\"16352\" />")
						  _T("<pt x=\"19298\" y=\"16252\" />")
						  _T("<pt x=\"20000\" y=\"16252\" />")
						_T("</cubicBezTo>")
						_T("<lnTo>")
						  _T("<pt x=\"20000\" y=\"14467\" />")
						_T("</lnTo>")
						_T("<cubicBezTo>")
						  _T("<pt x=\"20000\" y=\"14467\" />")
						  _T("<pt x=\"20800\" y=\"14392\" />")
						  _T("<pt x=\"21600\" y=\"14392\" />")
						_T("</cubicBezTo>")
						_T("<lnTo>")
						  _T("<pt x=\"21600\" y=\"0\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"2972\" y=\"0\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"2972\" y=\"1815\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"1532\" y=\"1815\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"1532\" y=\"3675\" />")
						_T("</lnTo>")
						_T("<lnTo>")
						  _T("<pt x=\"0\" y=\"3675\" />")
						_T("</lnTo>")
						_T("<close />")
					  _T("</path>")
					_T("</pathLst>")
					_T("</ooxml-shape>")
				);
			}
	};
}