﻿/*
 * (c) Copyright Ascensio System SIA 2010-2017
 *
 * This program is a free software product. You can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License (AGPL)
 * version 3 as published by the Free Software Foundation. In accordance with
 * Section 7(a) of the GNU AGPL its Section 15 shall be amended to the effect
 * that Ascensio System SIA expressly excludes the warranty of non-infringement
 * of any third-party rights.
 *
 * This program is distributed WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR  PURPOSE. For
 * details, see the GNU AGPL at: http://www.gnu.org/licenses/agpl-3.0.html
 *
 * You can contact Ascensio System SIA at Lubanas st. 125a-25, Riga, Latvia,
 * EU, LV-1021.
 *
 * The  interactive user interfaces in modified source and object code versions
 * of the Program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU AGPL version 3.
 *
 * Pursuant to Section 7(b) of the License you must retain the original Product
 * logo when distributing the program. Pursuant to Section 7(e) we decline to
 * grant you any rights under trademark law for use of our trademarks.
 *
 * All the Product's GUI elements, including illustrations and icon sets, as
 * well as technical writing content are licensed under the terms of the
 * Creative Commons Attribution-ShareAlike 4.0 International. See the License
 * terms at http://creativecommons.org/licenses/by-sa/4.0/legalcode
 *
 */
#pragma once
#include "OOXMLShapes/CAccentBorderCallout1.h"
#include "OOXMLShapes/CAccentBorderCallout2.h"
#include "OOXMLShapes/CAccentBorderCallout3.h"
#include "OOXMLShapes/CAccentCallout1.h"
#include "OOXMLShapes/CAccentCallout2.h"
#include "OOXMLShapes/CAccentCallout3.h"
#include "OOXMLShapes/CActionButtonBackPrevious.h"
#include "OOXMLShapes/CActionButtonBeginning.h"
#include "OOXMLShapes/CActionButtonBlank.h"
#include "OOXMLShapes/CActionButtonDocument.h"
#include "OOXMLShapes/CActionButtonEnd.h"
#include "OOXMLShapes/CActionButtonForwardNext.h"
#include "OOXMLShapes/CActionButtonHelp.h"
#include "OOXMLShapes/CActionButtonHome.h"
#include "OOXMLShapes/CActionButtonInformation.h"
#include "OOXMLShapes/CActionButtonMovie.h"
#include "OOXMLShapes/CActionButtonReturn.h"
#include "OOXMLShapes/CActionButtonSound.h"
#include "OOXMLShapes/CArc.h"
#include "OOXMLShapes/CBentArrow.h"
#include "OOXMLShapes/CBentConnector2.h"
#include "OOXMLShapes/CBentConnector3.h"
#include "OOXMLShapes/CBentConnector4.h"
#include "OOXMLShapes/CBentConnector5.h"
#include "OOXMLShapes/CBentUpArrow.h"
#include "OOXMLShapes/CBevel.h"
#include "OOXMLShapes/CBlockArc.h"
#include "OOXMLShapes/CBorderCallout1.h"
#include "OOXMLShapes/CBorderCallout2.h"
#include "OOXMLShapes/CBorderCallout3.h"
#include "OOXMLShapes/CBracePair.h"
#include "OOXMLShapes/CBracketPair.h"
#include "OOXMLShapes/CCallout1.h"
#include "OOXMLShapes/CCallout2.h"
#include "OOXMLShapes/CCallout3.h"
#include "OOXMLShapes/CCan.h"
#include "OOXMLShapes/CChartPlus.h"
#include "OOXMLShapes/CChartStar.h"
#include "OOXMLShapes/CChartX.h"
#include "OOXMLShapes/CChevron.h"
#include "OOXMLShapes/CChord.h"
#include "OOXMLShapes/CCircularArrow.h"
#include "OOXMLShapes/CCloud.h"
#include "OOXMLShapes/CCloudCallout.h"
#include "OOXMLShapes/CCorner.h"
#include "OOXMLShapes/CCornerTabs.h"
#include "OOXMLShapes/CCube.h"
#include "OOXMLShapes/CCurvedConnector2.h"
#include "OOXMLShapes/CCurvedConnector3.h"
#include "OOXMLShapes/CCurvedConnector4.h"
#include "OOXMLShapes/CCurvedConnector5.h"
#include "OOXMLShapes/CCurvedDownArrow.h"
#include "OOXMLShapes/CCurvedLeftArrow.h"
#include "OOXMLShapes/CCurvedRightArrow.h"
#include "OOXMLShapes/CCurvedUpArrow.h"
#include "OOXMLShapes/CDecagon.h"
#include "OOXMLShapes/CDiagStripe.h"
#include "OOXMLShapes/CDiamond.h"
#include "OOXMLShapes/CDodecagon.h"
#include "OOXMLShapes/CDonut.h"
#include "OOXMLShapes/CDoubleWave.h"
#include "OOXMLShapes/CDownArrow.h"
#include "OOXMLShapes/CDownArrowCallout.h"
#include "OOXMLShapes/CEllipse.h"
#include "OOXMLShapes/CEllipseRibbon.h"
#include "OOXMLShapes/CEllipseRibbon2.h"
#include "OOXMLShapes/CFlowChartAlternateProcess.h"
#include "OOXMLShapes/CFlowChartCollate.h"
#include "OOXMLShapes/CFlowChartConnector.h"
#include "OOXMLShapes/CFlowChartDecision.h"
#include "OOXMLShapes/CFlowChartDelay.h"
#include "OOXMLShapes/CFlowChartDisplay.h"
#include "OOXMLShapes/CFlowChartDocument.h"
#include "OOXMLShapes/CFlowChartExtract.h"
#include "OOXMLShapes/CFlowChartInputOutput.h"
#include "OOXMLShapes/CFlowChartInternalStorage.h"
#include "OOXMLShapes/CFlowChartMagneticDisk.h"
#include "OOXMLShapes/CFlowChartMagneticDrum.h"
#include "OOXMLShapes/CFlowChartMagneticTape.h"
#include "OOXMLShapes/CFlowChartManualInput.h"
#include "OOXMLShapes/CFlowChartManualOperation.h"
#include "OOXMLShapes/CFlowChartMerge.h"
#include "OOXMLShapes/CFlowChartMultidocument.h"
#include "OOXMLShapes/CFlowChartOfflineStorage.h"
#include "OOXMLShapes/CFlowChartOffpageConnector.h"
#include "OOXMLShapes/CFlowChartOnlineStorage.h"
#include "OOXMLShapes/CFlowChartOr.h"
#include "OOXMLShapes/CFlowChartPredefinedProcess.h"
#include "OOXMLShapes/CFlowChartPreparation.h"
#include "OOXMLShapes/CFlowChartProcess.h"
#include "OOXMLShapes/CFlowChartPunchedCard.h"
#include "OOXMLShapes/CFlowChartPunchedTape.h"
#include "OOXMLShapes/CFlowChartSort.h"
#include "OOXMLShapes/CFlowChartSummingJunction.h"
#include "OOXMLShapes/CFlowChartTerminator.h"
#include "OOXMLShapes/CFoldedCorner.h"
#include "OOXMLShapes/CFrame.h"
#include "OOXMLShapes/CFunnel.h"
#include "OOXMLShapes/CGear6.h"
#include "OOXMLShapes/CGear9.h"
#include "OOXMLShapes/CHalfFrame.h"
#include "OOXMLShapes/CHeart.h"
#include "OOXMLShapes/CHeptagon.h"
#include "OOXMLShapes/CHexagon.h"
#include "OOXMLShapes/CHomePlate.h"
#include "OOXMLShapes/CHorizontalScroll.h"
#include "OOXMLShapes/CIrregularSeal1.h"
#include "OOXMLShapes/CIrregularSeal2.h"
#include "OOXMLShapes/CLeftArrow.h"
#include "OOXMLShapes/CLeftArrowCallout.h"
#include "OOXMLShapes/CLeftBrace.h"
#include "OOXMLShapes/CLeftBracket.h"
#include "OOXMLShapes/CLeftCircularArrow.h"
#include "OOXMLShapes/CLeftRightArrow.h"
#include "OOXMLShapes/CLeftRightArrowCallout.h"
#include "OOXMLShapes/CLeftRightCircularArrow.h"
#include "OOXMLShapes/CLeftRightRibbon.h"
#include "OOXMLShapes/CLeftRightUpArrow.h"
#include "OOXMLShapes/CLeftUpArrow.h"
#include "OOXMLShapes/CLightningBolt.h"
#include "OOXMLShapes/CLine.h"
#include "OOXMLShapes/CLineInv.h"
#include "OOXMLShapes/CMathDivide.h"
#include "OOXMLShapes/CMathEqual.h"
#include "OOXMLShapes/CMathMinus.h"
#include "OOXMLShapes/CMathMultiply.h"
#include "OOXMLShapes/CMathNotEqual.h"
#include "OOXMLShapes/CMathPlus.h"
#include "OOXMLShapes/CMoon.h"
#include "OOXMLShapes/CNonIsoscelesTrapezoid.h"
#include "OOXMLShapes/CNoSmoking.h"
#include "OOXMLShapes/CNotchedRightArrow.h"
#include "OOXMLShapes/COctagon.h"
#include "OOXMLShapes/CParallelogram.h"
#include "OOXMLShapes/CPentagon.h"
#include "OOXMLShapes/CPie.h"
#include "OOXMLShapes/CPieWedge.h"
#include "OOXMLShapes/CPlaque.h"
#include "OOXMLShapes/CPlaqueTabs.h"
#include "OOXMLShapes/CPlus.h"
#include "OOXMLShapes/CQuadArrow.h"
#include "OOXMLShapes/CQuadArrowCallout.h"
#include "OOXMLShapes/CRect.h"
#include "OOXMLShapes/CRibbon.h"
#include "OOXMLShapes/CRibbon2.h"
#include "OOXMLShapes/CRightArrow.h"
#include "OOXMLShapes/CRightArrowCallout.h"
#include "OOXMLShapes/CRightBrace.h"
#include "OOXMLShapes/CRightBracket.h"
#include "OOXMLShapes/CRound1Rect.h"
#include "OOXMLShapes/CRound2DiagRect.h"
#include "OOXMLShapes/CRound2SameRect.h"
#include "OOXMLShapes/CRoundRect.h"
#include "OOXMLShapes/CRtTriangle.h"
#include "OOXMLShapes/CSmileyFace.h"
#include "OOXMLShapes/CSnip1Rect.h"
#include "OOXMLShapes/CSnip2DiagRect.h"
#include "OOXMLShapes/CSnip2SameRect.h"
#include "OOXMLShapes/CSnipRoundRect.h"
#include "OOXMLShapes/CSquareTabs.h"
#include "OOXMLShapes/CStar10.h"
#include "OOXMLShapes/CStar12.h"
#include "OOXMLShapes/CStar16.h"
#include "OOXMLShapes/CStar24.h"
#include "OOXMLShapes/CStar32.h"
#include "OOXMLShapes/CStar4.h"
#include "OOXMLShapes/CStar5.h"
#include "OOXMLShapes/CStar6.h"
#include "OOXMLShapes/CStar7.h"
#include "OOXMLShapes/CStar8.h"
#include "OOXMLShapes/CStraightConnector1.h"
#include "OOXMLShapes/CStripedRightArrow.h"
#include "OOXMLShapes/CSun.h"
#include "OOXMLShapes/CSwooshArrow.h"
#include "OOXMLShapes/CTeardrop.h"
#include "OOXMLShapes/CTextArchDown.h"
#include "OOXMLShapes/CTextArchDownPour.h"
#include "OOXMLShapes/CTextArchUp.h"
#include "OOXMLShapes/CTextArchUpPour.h"
#include "OOXMLShapes/CTextButton.h"
#include "OOXMLShapes/CTextButtonPour.h"
#include "OOXMLShapes/CTextCanDown.h"
#include "OOXMLShapes/CTextCanUp.h"
#include "OOXMLShapes/CTextCascadeDown.h"
#include "OOXMLShapes/CTextCascadeUp.h"
#include "OOXMLShapes/CTextChevron.h"
#include "OOXMLShapes/CTextChevronInverted.h"
#include "OOXMLShapes/CTextCircle.h"
#include "OOXMLShapes/CTextCirclePour.h"
#include "OOXMLShapes/CTextCurveDown.h"
#include "OOXMLShapes/CTextCurveUp.h"
#include "OOXMLShapes/CTextDeflate.h"
#include "OOXMLShapes/CTextDeflateBottom.h"
#include "OOXMLShapes/CTextDeflateInflate.h"
#include "OOXMLShapes/CTextDeflateInflateDeflate.h"
#include "OOXMLShapes/CTextDeflateTop.h"
#include "OOXMLShapes/CTextDoubleWave1.h"
#include "OOXMLShapes/CTextFadeDown.h"
#include "OOXMLShapes/CTextFadeLeft.h"
#include "OOXMLShapes/CTextFadeRight.h"
#include "OOXMLShapes/CTextFadeUp.h"
#include "OOXMLShapes/CTextInflate.h"
#include "OOXMLShapes/CTextInflateBottom.h"
#include "OOXMLShapes/CTextInflateTop.h"
#include "OOXMLShapes/CTextPlain.h"
#include "OOXMLShapes/CTextRingInside.h"
#include "OOXMLShapes/CTextRingOutside.h"
#include "OOXMLShapes/CTextSlantDown.h"
#include "OOXMLShapes/CTextSlantUp.h"
#include "OOXMLShapes/CTextStop.h"
#include "OOXMLShapes/CTextTriangle.h"
#include "OOXMLShapes/CTextTriangleInverted.h"
#include "OOXMLShapes/CTextWave1.h"
#include "OOXMLShapes/CTextWave2.h"
#include "OOXMLShapes/CTextWave4.h"
#include "OOXMLShapes/CTrapezoid.h"
#include "OOXMLShapes/CTriangle.h"
#include "OOXMLShapes/CUpArrow.h"
#include "OOXMLShapes/CUpArrowCallout.h"
#include "OOXMLShapes/CUpDownArrow.h"
#include "OOXMLShapes/CUpDownArrowCallout.h"
#include "OOXMLShapes/CUturnArrow.h"
#include "OOXMLShapes/CVerticalScroll.h"
#include "OOXMLShapes/CWave.h"
#include "OOXMLShapes/CWedgeEllipseCallout.h"
#include "OOXMLShapes/CWedgeRectCallout.h"
#include "OOXMLShapes/CWedgeRoundRectCallout.h"
